
public handler_cvar_cmd(id)
{
	static cmd[32],arg1[32];
	read_argv(0,cmd,31);
	read_argv(1,arg1,31);
	
	if (read_argc() < 1) return PLUGIN_CONTINUE;
	
	if(equal(cmd,"sv_bleach"))
	{
		if(equal(arg1,"1"))
		{
			bleach_start();
		}
		else if(equal(arg1,"0"))
		{
			bleach_stop();
		}
	}
	else if (equal(cmd,"sv_savexp"))
	{
		if(str_to_num(arg1) != get_pcvar_num(cvar_savexp))
		{
			save_all_players();
			database_close();
			reset_player_all();
		}

		if(equal(arg1,"1"))
		{
			set_pcvar_num(cvar_savexp,1);
		}
		else if(equal(arg1,"2"))
		{
			set_pcvar_num(cvar_savexp,2);
			database_init();
		}
		else if(equal(arg1,"0"))
		{
			set_pcvar_num(cvar_savexp,0);
		}
	}
	else if (equal(cmd,"sv_bm_sql_host"))
	{
		set_pcvar_string(cvar_sql_host,arg1);
	}
	else if (equal(cmd,"sv_bm_sql_user"))
	{
		set_pcvar_string(cvar_sql_user,arg1);
	}
	else if (equal(cmd,"sv_bm_sql_password"))
	{
		set_pcvar_string(cvar_sql_password,arg1);
	}
	else if (equal(cmd,"sv_bm_sql_database"))
	{
		set_pcvar_string(cvar_sql_database,arg1);
	}
	else if (equal(cmd,"sv_bm_sql_table"))
	{
		set_pcvar_string(cvar_sql_table,arg1);
	}
	else if (equal(cmd,"sv_bm_sql_type"))
	{
		set_pcvar_num(cvar_sql_type,str_to_num(arg1));
	}
	else if (equal(cmd,"sv_bm_xp_minplayers"))
	{
		set_pcvar_num(cvar_xp_minplayers,str_to_num(arg1));
	}
	else if (equal(cmd,"sv_bm_xp_share"))
	{
		set_pcvar_num(cvar_xp_share_radius,str_to_num(arg1));
	}
	else if (equal(cmd,"sv_bm_xp_suicide"))
	{
		set_pcvar_num(cvar_xp_suicide,str_to_num(arg1));
	}
	else if (equal(cmd,"sv_bm_xp_kill"))
	{
		set_pcvar_num(cvar_xp_kill,str_to_num(arg1));
	}
	else if (equal(cmd,"sv_bm_xp_teamkill"))
	{
		set_pcvar_num(cvar_xp_teamkill,str_to_num(arg1));
	}
	else if (equal(cmd,"sv_bm_xp_assist"))
	{
		set_pcvar_num(cvar_xp_assist,str_to_num(arg1));
	}
	else if (equal(cmd,"sv_bm_xp_skill"))
	{
		set_pcvar_num(cvar_xp_skill,str_to_num(arg1));
	}
	else if (equal(cmd,"sv_bm_xp_negation"))
	{
		set_pcvar_num(cvar_xp_negation,str_to_num(arg1));
	}
	else if (equal(cmd,"sv_bm_xp_headshot"))
	{
		set_pcvar_num(cvar_xp_headshot,str_to_num(arg1));
	}
	else if (equal(cmd,"sv_bm_xp_plant"))
	{
		set_pcvar_num(cvar_xp_plant,str_to_num(arg1));
	}
	else if (equal(cmd,"sv_bm_xp_explode"))
	{
		set_pcvar_num(cvar_xp_explode,str_to_num(arg1));
	}
	else if (equal(cmd,"sv_bm_xp_defuse"))
	{
		set_pcvar_num(cvar_xp_defuse,str_to_num(arg1));
	}
	else if (equal(cmd,"sv_bm_xp_round"))
	{
		set_pcvar_num(cvar_xp_round,str_to_num(arg1));
	}
	else if (equal(cmd,"sv_bm_xp_bomber"))
	{
		set_pcvar_num(cvar_xp_bomber,str_to_num(arg1));
	}
	else if (equal(cmd,"sv_bm_xp_planter"))
	{
		set_pcvar_num(cvar_xp_planter,str_to_num(arg1));
	}
	else if (equal(cmd,"sv_bm_xp_defuser"))
	{
		set_pcvar_num(cvar_xp_defuser,str_to_num(arg1));
	}
	else if (equal(cmd,"sv_bm_xp_long_term"))
	{
		set_pcvar_float(cvar_xp_long_term,str_to_float(arg1));
	}
	else if (equal(cmd,"sv_bm_xp_short_term"))
	{
		set_pcvar_float(cvar_xp_short_term,str_to_float(arg1));
	}
	
	return PLUGIN_CONTINUE;
}
